
/*
Here is a new neat feature in SP2 which is not highlighted in "What's 
new...". Run this new system procedure on an SQL module and it will 
update sys.sql_dependencies. Try this:
*/

CREATE PROCEDURE sample_sp AS
   SELECT * FROM doesnotyetexist
go
   
CREATE TABLE doesnotyetexist(nowitexists int NOT NULL)
go
   
sp_depends sample_sp   -- nothing displayed.
go

sp_refreshsqlmodule sample_sp 
go

sp_depends sample_sp   -- Now it does!
go

drop proc sample_sp
drop table doesnotyetexist